For the complete documentation index, see llms.txt. This page is also available as Markdown.

Files

Get File

get

Get info and Base64 content of a file

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Path parameters
fileIdstring · UIDRequired
Query parameters
includeBase64booleanOptional

Include Base64 encoded content

Responses
200Success
application/json
titlestringOptional
sizeintegerOptional
widthintegerOptional
heightintegerOptional
mimestring · enumOptionalPossible values:
extensionstring · enumOptionalPossible values:
base64ContentstringOptional
get/files/{fileId}
200Success

Get File Binary

get

Get the binary of a file

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Path parameters
fileIdstring · UIDRequired
Responses
200Success
mime/type
stringOptional
get/files/{fileId}/binary
200Success

Last updated

Was this helpful?